=== debian/changelog ===
davix (0.6.3-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:15:51 +0000

davix (0.6.3-1) unstable; urgency=medium

  * Update to version 0.6.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2016 15:40:50 +0200

davix (0.6.0-1) unstable; urgency=medium

  * Update to version 0.6.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Mar 2016 17:59:56 +0100
