=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS LDFLAGS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	# Remove bundled stuff
	rm -rf deps/boost_intern
	rm -rf deps/rapidjson
	rm -rf deps/strptime
	rm -rf test/pywebdav
	# Debian's gtest is not precompiled - link source
	ln -fs /usr/src/gtest deps/googletest/googletest
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DUNIT_TESTS=TRUE \
		-DGTEST_EXTERNAL=TRUE \
		-DENABLE_HTML_DOCS=TRUE \
		-DENABLE_THIRD_PARTY_COPY=TRUE

override_dh_auto_build:
	dh_auto_build -- all doc

override_dh_install:
	rm debian/tmp/usr/share/doc/davix/LICENSE
	dh_install --fail-missing

override_dh_strip:
	dh_strip -X/lib/ --dbg-package davix-dbg
	dh_strip -X/bin/ --dbg-package libdavix-dbg

override_dh_auto_clean:
	rm -f deps/googletest/googletest
	dh_auto_clean

override_dh_auto_test:
	( cd obj-* ; make abi-check )
	dh_auto_test -- ARGS+="-V -T Test"
