## davix 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 6)
-set(VERSION_PATCH 3)
+set(VERSION_PATCH 4)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 set(VERSION_TAG "")
 
@@ -52,11 +52,6 @@
 option(FUNCTIONAL_TESTS "enable or disable the functional tests" FALSE)
 option(BENCH_TESTS "enable or disable the bench tests" FALSE)
 
-# disable clock_gettime if building a static library
-if(STATIC_LIBRARY)
-    set(HAVE_CLOCK_GETTIME FALSE)
-endif()
-
 # libs checks
 find_package(Threads)
 
@@ -70,7 +65,7 @@
 set(LIBXML2_INCLUDE_DIRS ${LIBXML2_INCLUDE_DIR})
 
 if(BOOST_EXTERNAL)
-find_package(Boost 1.41.0 COMPONENTS thread system program_options)
+find_package(Boost 1.41.0 COMPONENTS thread system)
 endif(BOOST_EXTERNAL)
 
 #const
@@ -104,9 +99,13 @@
 
 #############################################################################
 ## headers
+configure_file("${CMAKE_SOURCE_DIR}/include/davix/features.hpp.in"
+               "${CMAKE_SOURCE_DIR}/include/davix/features.hpp"
+               @ONLY)
 
 install(DIRECTORY ${CMAKE_SOURCE_DIR}/include/davix/
-                DESTINATION ${INCLUDE_INSTALL_DIR}/davix)
+        DESTINATION ${INCLUDE_INSTALL_DIR}/davix
+        PATTERN "*.in" EXCLUDE)
 
 ##############################################################################
 ## Doc file
@@ -123,4 +122,3 @@
 
 ADD_CUSTOM_TARGET(uninstall
   "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
-
