=== test/functional/CMakeLists.txt ===
--- 
+++ 
@@ -107,15 +107,11 @@
     set(match ${tmp} PARENT_SCOPE)
 endfunction(paramexists)
 
-function(runtest params)
+function(runtest params cmd)
     matchparam("--auth" ${params})
     set(auth ${match})
     assert_not_empty(${auth})
 
-    matchparam("--command" ${params})
-    set(command ${match})
-    assert_not_empty(${command})
-
     matchparam("--uri" ${params})
     set(uri ${match})
     assert_not_empty(${uri})
@@ -137,16 +133,19 @@
         set(testname "${testname}|alt")
     endif()
 
-    set(testname "${testname}|${command}|${uri}")
+    string(REPLACE " " "" cmdname ${cmd})
+    set(testname "${testname}|${cmdname}|${uri}")
 
     set(arguments ${params})
     separate_arguments(arguments)
-    add_test(${testname} tester ${arguments})
+    add_test(${testname} tester ${arguments} "--command" "${cmd}")
 endfunction(runtest)
 
 function(preadvectest_single params ranges)
-    runtest("${params} --command preadvec ${ranges}")
-    runtest("${params} --command preadvec ${ranges} nomulti")
+    runtest("${params}" "preadvec ${ranges} mergewindow=1")
+    runtest("${params}" "preadvec ${ranges} mergewindow=1000")
+    runtest("${params}" "preadvec ${ranges} nomulti,mergewindow=1000")
+    runtest("${params}" "preadvec ${ranges} nomulti,mergewindow=1")
 endfunction(preadvectest_single)
 
 function(preadvectest params)
@@ -156,25 +155,25 @@
 endfunction(preadvectest)
 
 function(fulltest params)
-    runtest("${params} --command makeCollection")
-    runtest("${params} --command populate 5")
-    runtest("${params} --command listing 5")
+    runtest("${params}" "makeCollection")
+    runtest("${params}" "populate 5")
+    runtest("${params}" "listing 5")
     preadvectest("${params}")
-    runtest("${params} --command movefile")
-    runtest("${params} --command depopulate 3")
-    runtest("${params} --command countfiles 2")
-    runtest("${params} --command remove")
+    runtest("${params}" "movefile")
+    runtest("${params}" "depopulate 3")
+    runtest("${params}" "countfiles 2")
+    runtest("${params}" "remove")
 endfunction(fulltest)
 
 function(s3tests params)
-    runtest("${params} --command makeCollection")
-    runtest("${params} --command populate 5")
-    runtest("${params} --command listing 5")
+    runtest("${params}" "makeCollection")
+    runtest("${params}" "populate 5")
+    runtest("${params}" "listing 5")
     preadvectest("${params}")
-    runtest("${params} --command movefile")
-    runtest("${params} --command depopulate 3")
-    runtest("${params} --command countfiles 2")
-    runtest("${params} --command depopulate 5")
+    runtest("${params}" "movefile")
+    runtest("${params}" "depopulate 3")
+    runtest("${params}" "countfiles 2")
+    runtest("${params}" "depopulate 5")
 endfunction(s3tests)
 
 function(test_with_proxy uri)
@@ -199,11 +198,11 @@
 function(test_azure azurekey uri)
     set(params "--auth azure --azurekey ${azurekey} --uri ${uri}")
 
-    runtest("${params} --command populate 5")
-    runtest("${params} --command statdir")
-    runtest("${params} --command listing 5")
+    runtest("${params}" "populate 5")
+    runtest("${params}" "statdir")
+    runtest("${params}" "listing 5")
     preadvectest("${params}")
-    runtest("${params} --command depopulate 5")
+    runtest("${params}" "depopulate 5")
 endfunction(test_azure)
