=== test/unit/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,9 @@
 file(GLOB src_parser xmlparser/*.cpp)
 file(GLOB src_files files/*.cpp)
 file(GLOB src_auth  auth/*.cpp)
+file(GLOB src_parser  parser/*.cpp)
+
 LIST(APPEND src_utils utils/utils_test.cpp ${SRC_STRING_UTILS_CPP})
-LIST(APPEND src_parser parser/parser_test.cpp)
 LIST(APPEND src_httprequest sessionfactory/test_factory.cpp)
 
 
@@ -34,11 +35,6 @@
                 ${SRC_HMACSHA1} ${davix_tool_common_src} ${src_files} ${src_alibxx})
 
 target_link_libraries(g_test_unit_davix_exe alibxx_core libdavix gtest gtest_main ${CMAKE_THREAD_LIBS_INIT} ${LIBSSL_PKG_LIBRARIES} ${Boost_LIBRARIES})
-
-if(HAVE_CLOCK_GETTIME)
-    target_link_libraries(g_test_unit_davix_exe rt)
-endif(HAVE_CLOCK_GETTIME)
-
 add_dependencies(g_test_unit_davix_exe libdavix)
