=== debian/changelog ===
davix (0.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add OpenSSL 1.1.0 support (Closes: #828279).
  * Don't install gtest's header files or static libs.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Thu, 15 Dec 2016 21:40:12 +0100

davix (0.6.4-1) unstable; urgency=medium

  * Update to version 0.6.4
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Aug 2016 15:23:58 +0200
