=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,6 @@
 override_dh_auto_configure:
 	# Remove bundled stuff
 	rm -rf deps/boost_intern
-	rm -rf deps/rapidjson
 	rm -rf deps/strptime
 	rm -rf test/pywebdav
 	# Debian's gtest is not precompiled - link source
@@ -32,6 +31,7 @@
 
 override_dh_install:
 	rm debian/tmp/usr/share/doc/davix/LICENSE
+	rm -rf debian/tmp/usr/include/gtest debian/tmp/usr/lib/libgtest.a debian/tmp/usr/lib/libgtest_main.a
 	dh_install --fail-missing
 
 override_dh_strip:
