## davix 0.6.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,8 +19,8 @@
 include(ReleaseDebugAutoFlags REQUIRED)
 include(CMakeGeneratePkgConfig REQUIRED)
 include(MacroAddDoxygen REQUIRED)
+include(CMakeCXX11Support REQUIRED)
 include(PortabilityGNUCheck REQUIRED)
-include(CMakeCXX11Support REQUIRED)
 
 #enable testing
 INCLUDE(CTest)
@@ -29,14 +29,10 @@
 set(OUTPUT_NAME_DAVIX "davix")
 set(VERSION_MAJOR 0)
 set(VERSION_MINOR 6)
-set(VERSION_PATCH 4)
+set(VERSION_PATCH 6)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 set(VERSION_TAG "")
 
-
-# dependency mode
-option(BOOST_EXTERNAL "Enable the usage of an external boost dependency" TRUE)
-set (Boost_NO_BOOST_CMAKE ON)
 
 # components
 option(ENABLE_TOOLS "enable or disable tools " TRUE)
@@ -64,10 +60,6 @@
 find_package(LibXml2)
 set(LIBXML2_INCLUDE_DIRS ${LIBXML2_INCLUDE_DIR})
 
-if(BOOST_EXTERNAL)
-find_package(Boost 1.41.0 COMPONENTS thread system)
-endif(BOOST_EXTERNAL)
-
 #const
 set(HAVE_OPENSSL 1)
 set(NE_HAVE_SSL 1)
@@ -75,6 +67,8 @@
 add_subdirectory(deps)
 
 
+#libuuid
+find_package(uuid)
 
 
 ## general defs
@@ -85,14 +79,17 @@
 
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX11_FLAG_ENABLE}")
 
-include_directories( ${Boost_INCLUDE_DIRS})
 include_directories( ${HTTPLIB_PKG_INCLUDE_DIRS} ${GLIB2_PKG_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/deps ${CMAKE_CURRENT_SOURCE_DIR}/deps/libneon/src/ )
 include_directories( ${CMAKE_SOURCE_DIR}/include/davix )
 include_directories( ${CMAKE_SOURCE_DIR}/src/libs/)
 
 add_subdirectory (src)
 add_subdirectory (doc)
-add_subdirectory (dist)
+
+if(EXISTS "${CMAKE_SOURCE_DIR}/dist/CMakeLists.txt")
+  add_subdirectory (dist)
+endif()
+
 add_subdirectory (test)
 add_subdirectory (packaging)
