=== debian/changelog ===
davix (0.6.6-1build1) artful; urgency=medium

  * Rebuild against new libgsoap-2.8.49.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2017 08:30:26 +0200

davix (0.6.6-1) unstable; urgency=medium

  * Update to version 0.6.6

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 May 2017 12:55:22 +0200

davix (0.6.5-1) unstable; urgency=medium

  * Update to version 0.6.5
  * Acknowledge NMU - thanks to Sebastian Andrzej Siewior for backporting
    upstream's openssl 1.1 adaptations
  * Drop the openssl 1.1 patches since they are now in the released version
  * Unbundle python-sphinx-rtd-theme

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 22 Mar 2017 21:50:31 +0100
