=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: davix
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper (>= 8.0.0), cmake, libxml2-dev, libssl-dev, gsoap, libboost-system-dev, libboost-thread-dev, libgtest-dev, abi-compliance-checker, pkg-config, doxygen, python-sphinx, zlib1g-dev
+Build-Depends: debhelper (>= 9), cmake, libxml2-dev, libssl-dev, gsoap, libgtest-dev, abi-compliance-checker, pkg-config, doxygen, python-sphinx, python-sphinx-rtd-theme, zlib1g-dev, uuid-dev
 Standards-Version: 3.9.8
 Section: net
 Homepage: http://dmc.web.cern.ch/projects/davix/home
@@ -38,7 +38,8 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Pre-Depends: dpkg (>= 1.17.14)
+Depends: ${misc:Depends}, sphinx-rtd-theme-common, libjs-jquery, libjs-underscore
 Description: Documentation for davix
  Documentation and examples for davix. Davix is a toolkit designed for file
  operations with Http based protocols (WebDav, Amazon S3, ...).
