=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 override_dh_auto_configure:
 	# Remove bundled stuff
-	rm -rf deps/boost_intern
 	rm -rf deps/strptime
 	rm -rf test/pywebdav
+	rm -rf doc/sphinx/_themes/sphinx_rtd_theme
 	# Debian's gtest is not precompiled - link source
 	ln -fs /usr/src/gtest deps/googletest/googletest
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
@@ -31,7 +31,24 @@
 
 override_dh_install:
 	rm debian/tmp/usr/share/doc/davix/LICENSE
-	rm -rf debian/tmp/usr/include/gtest debian/tmp/usr/lib/libgtest.a debian/tmp/usr/lib/libgtest_main.a
+	rm -rf debian/tmp/usr/include/gtest
+	rm debian/tmp/usr/lib/libgtest.a
+	rm debian/tmp/usr/lib/libgtest_main.a
+	rm -rf debian/tmp/usr/share/doc/davix/html/_static/css
+	ln -s /usr/share/sphinx_rtd_theme/static/css \
+	   debian/tmp/usr/share/doc/davix/html/_static/css
+	rm -rf debian/tmp/usr/share/doc/davix/html/_static/fonts
+	ln -s /usr/share/sphinx_rtd_theme/static/fonts \
+	   debian/tmp/usr/share/doc/davix/html/_static/fonts
+	rm -rf debian/tmp/usr/share/doc/davix/html/_static/js
+	ln -s /usr/share/sphinx_rtd_theme/static/js \
+	   debian/tmp/usr/share/doc/davix/html/_static/js
+	rm debian/tmp/usr/share/doc/davix/html/_static/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js \
+	   debian/tmp/usr/share/doc/davix/html/_static/jquery.js
+	rm debian/tmp/usr/share/doc/davix/html/_static/underscore.js
+	ln -s /usr/share/javascript/underscore/underscore.js \
+	   debian/tmp/usr/share/doc/davix/html/_static/underscore.js
 	dh_install --fail-missing
 
 override_dh_strip:
@@ -40,6 +57,7 @@
 
 override_dh_auto_clean:
 	rm -f deps/googletest/googletest
+	rm -f include/davix/features.hpp
 	dh_auto_clean
 
 override_dh_auto_test:
